{% extends "base.html" %}

{% block title %}Import templates{% endblock %}

{% block content %}
    <h1>Import templates</h1>
    <form method=post action="{{ url_for('api_templates.import_scan2report_templates_to_pwndoc') }}" enctype=multipart/form-data>
        <label for="file[]">Select Scan2Report template files (JSON files) which you want to import.</label>
        <input type=file name="file[]" multiple> <br> <br>

        <label for="template_locale">Select an locale to which you are importing:</label>
        <select name="template_locale" id="template_locale">

            {% for value in locales %}
                <option value="{{value}}">{{value}}</option>
            {% endfor %}

        </select>
        <br><br>
        <label for="import_dangerous_files">Import custom escaped HTML (can lead to XSS)</label>
        <input type="checkbox" name="import_dangerous_files" id="import_dangerous_files"/>

        <br><br>

        <input type=submit value=Upload>
    </form>
{% endblock %}